#
# spec file for package faac
#
# Copyright (c) 2013 Marguerite Su <marguerite@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define major     0
%define lib       libfaac
%define libname   %{lib}%{major}

Name:           faac
Version:        1.28
Release:        9.1
# Original Code was free to use but restricted. Modifications are LGPL-2.1+
License:        SuSE-Freeware and LGPL-2.1+
Summary:        Frontend for encoding MPEG2/4 AAC
Url:            http://www.audiocoding.com/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        faac-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM marguerite@opensuse.org - port to use external mp4v2 2.0
Patch:		faac-1.28-external-mp4v2-2.0.patch
# PATCH-FIX-UPSTREAM marguerite@opensuse.org - fix strict-aliasing-punning warning.
Patch1:		faac-1.28-strict-aliasing-punning.patch
# PATCH-FIX-OPENSUSE crrodriguez@opensuse.org - hide library-private symbols
Patch2:     faac-visibility.patch
BuildRequires:  gcc-c++
BuildRequires:  libmp4v2-devel
# Here only because of the configure mp4v2 detection
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
Requires:       %{libname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary(de):    Frontend zum Encodieren von MPEG2/4 AAC

%description
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.

%description -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.

%package -n %{libname}
Summary:        Shared library part of faac
Group:          System/Libraries
Provides:       %{lib} = %{version}
Obsoletes:	%{lib} < %{version}
Summary(de):    Bibliotheken zu faac

%description -n %{libname}
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.
Shared library part of faac

%description -n %{libname} -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Bibliotheken zu faac

%package -n %{lib}-devel
Summary:        Header files and static library for the faac library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Provides:       %{libname}-devel = %{version}
Provides:       %{name}-devel = %{version}
Obsoletes:	%{libname}-devel < %{version}
Obsoletes:	%{name}-devel < %{version}
Summary(de):    Header Dateien und statische Bibliotheken für die faac Bibliothek

%description -n %{lib}-devel
FAAC is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC encoder, completely
written from scratch.
Header files and static library for the faac library

%description -n %{lib}-devel -l de
FAAC ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Encoder.
Header Dateien und statische Bibliotheken für die faac Bibliothek

%prep
%setup -qn faac-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%build
./bootstrap
%configure --with-mp4v2 --enable-shared --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/faac.1%{ext_man}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Oct  5 2013 crrodriguez@opensuse.org
- faac-visibility.patch: hide library private symbols
  from the exported symbol table, this is done just re-using
  the win32 equivalent functionality.
* Wed Jul 31 2013 i@margueirte.su
- build against external mp4v2.
  * bundled mpeg4ip's mp4v2 is too old to compile with glibc 2.10+.
* Tue Jan 24 2012 reddwarf@opensuse.org
- run spec-cleaner
- add autoconf, automake and libtool BuildRequires.
* Fri Mar  4 2011 reddwarf@opensuse.org
- Remove bogus faad build/runtime dependencies
- Remove bogus mp4v2 and C++ devel dependencies
- Remove .la files
* Wed Mar  3 2010 Manfred.Tremmel@iiv.de
- added baselibs file
* Sat Aug 22 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Tue Feb 10 2009 Manfred.Tremmel@iiv.de
- version 1.28
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- version 1.26
* Sun Mar  2 2008 Manfred.Tremmel@iiv.de
- splittetd into separate packages
* Mon Oct  2 2006 Manfred.Tremmel@iiv.de
- enabled mp4 support
* Mon Aug 14 2006 Manfred.Tremmel@iiv.de
- version 1.25
* Sun Apr  9 2006 Manfred.Tremmel@iiv.de
- rebuild with separate libmp4v2 (no longer part of faad2)
* Fri Jan  7 2005 rainer@links2linux.de
- first version for faac
